Package org.bukkit.entity

# Enum Class Horse.Style

java.lang.Object
java.lang.Enum<Horse.Style>
org.bukkit.entity.Horse.Style

All Implemented Interfaces:
  `Serializable`, `Comparable<Horse.Style>`, `Constable`

Enclosing interface:
  Horse

public static enum Horse.Style extends Enum<Horse.Style>
Represents the style, or markings, that the horse has.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLACK_DOTS`
Small black dots
`NONE`
No markings
`WHITE`
White socks or stripes
`WHITE_DOTS`
Round white dots
`WHITEFIELD`
Milky splotches

## Method Summary

Modifier and Type
Method
Description
`static Horse.Style`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Horse.Style[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Horse.Style NONE
No markings

### WHITE

public static final Horse.Style WHITE
White socks or stripes

### WHITEFIELD

public static final Horse.Style WHITEFIELD
Milky splotches

### WHITE_DOTS

public static final Horse.Style WHITE_DOTS
Round white dots

### BLACK_DOTS

public static final Horse.Style BLACK_DOTS
Small black dots

## Method Details

### values

public static Horse.Style[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Horse.Style valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null